.ifnot hlp
.subtitle
.left margin .page
.HL 1 TEXT FORMATTING 
.INDEX FORMATTING 
.INDEX COMMANDS, FORMATTING 
.endif hlp
.lm
.LEFT MARGIN +5 
.if hlp
.i-6;2 BASIC__COMMANDS
.i-6;3 BREAK
.br
.endif hlp
.s.tp7.i-5;   .BREAK 
.i-5; .BR 
.s.index BREAK 
causes a break, i.e.#the current line will be output with 
no justification, and the next word of the source text will 
be placed at the beginning of the next line. 
.if hlp
.i-6;3 SKIP
.br
.endif hlp
.skip 1 
.indent -5 
.test page 10 
   .SKIP [-n] 
.indent -5 
 .S [-n] 
.index SKIP 
.SKIP 
causes a BREAK after which n is multiplied by the number of spaces 
between lines. The result is the number of lines skipped. 
Output is advanced to the top of the next page if there is no 
room on the current page. If the current page is empty, SKIP 
does nothing. The n can also have a negative value. 
 Negative values indicate skips to n lines from the bottom of the 
page. 
Negative skips or skips greater than 6 are not allowed during
footnotes or .TEXT sections.
.if hlp.i-6;3 BLANK
.br
.endif hlp
.s.tp5.i-5;   .BLANK [-n] 
.i-5; .B -[n] 
.index BLANK 
.SKIP 
causes the current line to be output with no justification, 
skips n line spaces, and then starts output of the current source 
text. BLANK is like SKIP, except that the space to be left 
is independent of line spacing. If the page is empty, BLANK does nothing. 
n can be negative to move to n lines from the end of the page. 
Negative n or n greater than 6 are not allowed in footnotes or .TEXT sections.
.if hlp.i-6;3 FIGURE
.br
.endif hlp
.s.tp5.i-5;   .FIGURE [n] 
.i-5; .FG n 
.index FIGURE n 
.skip 
leaves n lines blank to make room for a figure or diagram. 
If fewer than n lines remain on the current page, 
the page is advanced and n 
blank lines are left at the top of the next page. 
This command guarantees your having n blank lines for a figure,
while blank will only guarantee n or fewer blank lines.
This command is not allowed during footnotes or .TEXT sections.
This command has the unfortunate side effect that if the current page doesn't
have enough space for the figure, the page is left with a number of blank
lines at the bottom of it.
The default is .FIGURE 1
.s.tp5.i-5; .FIGURE DEFERRED [n]
.i-5; .FGD [n]
.s.x FIGURE DEFERRED
This command is similar to figure.  It will reserve n lines on the current page
or if there is not enough room n lines at the top of the next page.  If there
is not enough room on the next page for all the lines requested an error
message is produced and the next page will be entirely blank.
This differs from .FIGURE in that the current page will be filled with text
right to the bottom line if there is no room for the figure on this page.
This command can not have the figure caption follow the .FIGURE command, unlike
 .FIGURE.
.NOTE
 .BLANK, .SKIP, and .FIGURE are very similar commands.  If you are
intending to leave 1 inch of space .BLANK 6 would be appropriate.  If
you need 3 lines of space .SKIP 3 is the correct command.  If you need
to leave space at the top of a page, or need a guaranteed amount of space
use .FIGURE or .FIGURE DEFERRED.  When choosing between .SKIP and .BLANK
remember that .SKIP is appropriate if you are concerned with the number of
text lines to skip, where text lines may be more than 1 physical line.
 .BLANK is appropriate when the space to be left is an absolute value,
for example .5 inches which is normally 3 physical lines.
.end note
.if hlp
.i-6;3 INDENT
.br
.endif hlp
.s.tp5.i-5; .INDENT [-n] 
.i-5; .I [-n] 
.index INDENT 
.bb
.i-5; .LEFT [-n]
.i-5; .L [-n]
.eb
.s.x LEFT
causes a BREAK and sets the next line to begin n spaces 
to the right of the left margin.  The n can be negative to allow 
beginning a line to the left of the left margin. However, a line 
cannot begin to the left of column 0. If n is not supplied, 
the current paragraph indent is used. 
.if hlp.i-6;3 RIGHT
.br
.endif hlp
.s.tp5.I-5; .RIGHT [-n] 
.i-5; .R [-n] 
.S.X RIGHT 
places the following text flush with the right margin if n is zero or 
unspecified.  If n is specified the text is placed n spaces to the left 
of the margin (n positive) or n to the right (n negative). 
.bb
If .RIGHT is issued after .CENTER TEXT, but before .END CENTER, the
text will be centered not right justified.
.eb
.if hlp.i-6;3 PARAGRAPH
.br
.endif hlp
.s.tp10.i -5;   .PARAGRAPH [-n], [v], [t] 
.i-5; .P [-n], [v], [t] 
.s.index PARAGRAPH 
CAUSES A BREAK and formats the output paragraphs. 
The n is optional and, if present, sets the number of spaces the 
paragraph is to be indented.
(n can also have a negative value). 
v is the vertical spacing or number of lines between paragraphs. v can range from 0 to 5. 
 T is the TEST TEXT value. If there is not
room for t lines remaining on the page then a new page is started.
The action of both t and v are changed by the .SPACING command.
Initially n,v,t are 1,5,2 as the default.
If you specify n,v,t different from the defaults, you only need to do this once.
Every .PARAGRAPH command that follows will assume the same n,v,t.
This command is the same as issuing the following sequence of commands.
.i5; .SKIP v .TEST TEXT t .INDENT n
.if hlp.i-6;3 CENTER
.br
.endif hlp
.s.tp8.i-5;  .CENTER [LINE][+-n] 
.i-5;  .CENTRE [+-n] 
.i-5; .C [LINE] [+-n] 
.s.index CENTER LINE 
.INDEX CENTRE 
causes a BREAK and centers the following line of text in the source file. 
The centering is halfway between the right and left margins if n is not 
specified.  If n is specified as an absolute argument (no sign) then the 
centering is over column n.  If n is a relative argument the centering is 
over the default center plus the relative value of n. 
.note 
The definition of n differs from the previous version of RUNOFF. 
.end note 
.s.tp6.i-5; .CENTER TEXT  [+-n] 
.I-5; .C TEXT  [+-n] 
.s.INDEX CENTER TEXT 
centers the following lines of text until a .END CENTER command. 
This differs from .CENTER LINE in that it centers more than 1 line 
of text. Centering automatically prevents filling and justification. 
 The argument n has the same meaning as for CENTER LINE. 
.s.tp6.I-5; .END CENTER 
.I-5; .ECN 
.s.INDEX END CENTER 
stops centering the text.  This must be given only after a .CENTER TEXT 
command. 
.ifnot hlp
.PS.SUBTITLE
.HL 1 FOOTNOTE / NOTE
.LM+5
.endif hlp
.if hlp.i-6;3 FOOTNOTE
.br
.endif hlp
.S.TP10.I-5;  .FOOTNOTE 
.i-5; .FN 
.s.x FOOTNOTE 
 
saves lines at the bottom of the current page for a footnote. 
When the bottom of the page is reached the text following the .FOOTNOTE command
will be printed.
If insufficient room remains on the current page, 
space is allocated at the bottom of the following page. 
The text of the footnote should begin on the line following the 
FOOTNOTE command. 
Indentation, case lock, justify, margins, spacing, 
bar, and fill 
are preserved around footnotes. However, commands that affect page 
formatting are illegal in a footnote.  Tab stops are illegal 
because they are not preserved. A footnote within a footnote 
is also illegal. 
If the footnote overflows from the current page onto the next page, it is
possible that the line referring to the footnote will also be printed on
the next page.
To prevent this either preface the .FOOTNOTE command by a command that
causes a break, or place enough text between the reference and the
command to guarantee a full line of text.
.P.bb
Normally this command does not draw a line between the body of the text and
the footnotes.  If you want it to automatically draw a line you must
use .PERMANENT FOOTNOTE.
.eb
.s.tp5.I-5; .END FOOTNOTE 
.INDEX END FOOTNOTE 
.I-5; .EFN
.S
ends the footnote.  The previous version of RUNOFF used an exclamation point 
(#!#) to do this.  The exclamation point is not supported in this version. 
Each .FOOTNOTE or .PERMANENT FOOTNOTE command must be followed by a .END
FOOTNOTE command.
.if hlp.i-6;3 PERMANENT__FOOTNOTE
.br
.endif hlp
.bb.s.tp10.i-5; .PERMANENT FOOTNOTE
.i-5; .PFN
.s.x PERMANENT FOOTNOTE
This command may only be issued before other footnote commands.
If this command is issued and a footnote command has already been given
for the current page, the command will be flagged as an error.
The text following this command is taken a permanent footnote which
is then printed between the body of text on a page, and the footnotes
at the bottom.  This also sets up permanent margins, spacing,
and fill/justify mode for footnotes.
The left and right margins, and the spacing may be set
during the permanent footnote, and they will be restored for
every subsequent .FOOTNOTE command.  For example you may wish to
separate the footnote from the text by a blank line, and a divider.
To do this you might use the following sequence of instructions.
.s.i+5; .PERMANENT FOOTNOTE
.i5; .SKIP 2;------- footnote -------
.i5; .END FOOTNOTE
.s
The permanent footnote will not be printed at the bottom of the page if
no regular footnotes are declared.
.s.eb
.if hlp.i-6;3 NOTE
.br
.endif hlp
.s.tp7.i-5;  .NOTE [title text] 
.i-5; .NT [title text]
.s.x NOTE 
This command is used to format notes.  A note is text set off from the rest
of the text by reduced margins and a centered title.
The text of the note is follows the .NOTE command, and is ended by a .END NOTE
command.
First this command issues a .TEST TEXT n where n is 4 added to the paragraph
test page count.
.bb
This command SKIPs 2, reduces both 
margins, centers the title text (if no text is given, it centers 
the word "NOTE"), and then SKIPS 1. 
.eb
 The text of the note is then printed.
.bb
An indentation is applied to both the left and right margins.
The indentation is either 20,15,10, or 5 whichever
produces no more than a 25% reduction in the text line.
If the indentation produces a text line less than the minimum, no indentation
is used, and an error message is typed.
.s.tp5.i-5;  .END NOTE  [n]
.i-5; .EN  [n]
.s.x END NOTE 
terminates the NOTE command, SKIPs n, and reverts the margins 
.eb
and spacing modes to their settings before the last NOTE 
command. 
If n is not specified it will be 2 as the default.
